package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtServiceParamKey;
import com.ruoyi.interfaces.domain.PtServiceReturn;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtServiceReturnMapper {

    int deleteByPrimaryKey(PtServiceParamKey key);

    int insert(PtServiceReturn record);

    int insertSelective(PtServiceReturn record);

    PtServiceReturn selectByPrimaryKey(PtServiceParamKey key);

    int updateByPrimaryKeySelective(PtServiceReturn record);

    int updateByPrimaryKey(PtServiceReturn record);

    List<PtServiceReturn> selectAll(String srvid);

    /**
     * 查询数据列表
     *
     * @param srvId
     * @return
     */
    List<PtServiceReturn> listBySrvId(@Param("srvId") String srvId);

    int deleteBySrvId(@Param("srvId") String srvId);

}
